'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _request = require('request');

var _request2 = _interopRequireDefault(_request);

var _cheerio = require('cheerio');

var _cheerio2 = _interopRequireDefault(_cheerio);

var _q = require('q');

var _q2 = _interopRequireDefault(_q);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (options, callback) {
  var deferred = _q2.default.defer();
  var qs = {
    RUN: options.rut,
    type: options.type,
    serial: options.serial
  };
  var url = 'https://portal.sidiv.registrocivil.cl/usuarios-portal/pages/DocumentRequestStatus.xhtml';
  _request2.default.get({ url: url, qs: qs, rejectUnauthorized: false }, function (err, response, body) {
    if (err) {
      deferred.reject(err);
    } else if (response.statusCode !== 200) {
      deferred.reject(new Error('Not found'));
    } else {
      var $ = _cheerio2.default.load(body);
      var status = $('#tableResult .setWidthOfSecondColumn').text();
      if (status !== '') {
        deferred.resolve(status);
      } else {
        deferred.reject(new Error('Not found'));
      }
    }
  });

  deferred.promise.nodeify(callback);

  return deferred.promise;
};
//# sourceMappingURL=index.js.map